Bug 1014554 - RFE: network: add API to restart virtual networks and preserve VM connectivity
RFE: network: add API to restart virtual networks and preserve VM connectivity
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
: 1022042 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 06:51 EDT by Daniel Berrange
Modified: 2017-05-02 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2013-10-02 06:51:14 EDT
Description of problem:
Currently if you update a virtual network you may well have to destroy & start it again. While this is fine for some types of network, for bridge based networks, this means any active VMs are lost.

It ought to be possible to add a 'virNetworkRestart' command which does the same as virNetworkDestroy + virNetworkCreate, while preserving the veths attached to the bridge.
Comment 1 Cole Robinson 2016-04-10 11:08:54 EDT
*** Bug 1022042 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.